diff --git a/game/client/src/main/java/net/minecraft/client/gui/worldsettings/WorldTypeButtonComponent.java b/game/client/src/main/java/net/minecraft/client/gui/worldsettings/WorldTypeButtonComponent.java
index b41282c39..b3fa127aa 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/worldsettings/WorldTypeButtonComponent.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/worldsettings/WorldTypeButtonComponent.java
@@ -1,7 +1,6 @@
 package net.minecraft.client.gui.worldsettings;
 
 import net.minecraft.client.gui.ButtonElement;
-import net.minecraft.client.gui.SwitchElement;
 import net.minecraft.client.gui.popup.PopupBuilder;
 import net.minecraft.client.gui.popup.PopupScreen;
 import net.minecraft.client.render.window.CursorShape;
@@ -14,11 +13,12 @@ import net.minecraft.core.world.type.WorldTypeGroups;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 
+import java.util.Objects;
+
 public class WorldTypeButtonComponent
-    extends ButtonComponent
-{
+    extends ButtonComponent {
     private @Nullable WorldConfiguration worldConfiguration = null;
-    private final ButtonElement button;
+    private final @NotNull ButtonElement button;
 
     public WorldTypeButtonComponent(final @NotNull String translationKey, final @Nullable String tooltipTranslationKey) {
         super(translationKey, tooltipTranslationKey);
@@ -33,43 +33,43 @@ public class WorldTypeButtonComponent
 
     @Override
     public void resetValue() {
-        this.worldConfiguration.setWorldTypeGroup(WorldTypeGroups.DEFAULT);
+        Objects.requireNonNull(this.worldConfiguration).setWorldTypeGroup(WorldTypeGroups.DEFAULT);
         this.button.displayString = I18n.getInstance().translateKey(this.worldConfiguration.getWorldTypeGroup().get(Dimension.OVERWORLD).getLanguageKey() + ".name");
     }
 
     @Override
     public boolean isDefault() {
-        return this.worldConfiguration.getWorldTypeGroup() == WorldTypeGroups.DEFAULT;
+        return Objects.requireNonNull(this.worldConfiguration).getWorldTypeGroup() == WorldTypeGroups.DEFAULT;
     }
 
     @Override
-    protected void buttonClicked(int mouseButton, int x, int y, int width, int height, int relativeMouseX, int relativeMouseY) {
-        I18n i18n = I18n.getInstance();
-        String[] keys = new String[WorldTypeGroups.GROUPS.size()];
-        String[] descs = new String[WorldTypeGroups.GROUPS.size()];
+    protected void buttonClicked(final int mouseButton, final int x, final int y, final int width, final int height, final int relativeMouseX, final int relativeMouseY) {
+        final I18n i18n = I18n.getInstance();
+        final @NotNull String @NotNull [] keys = new String[WorldTypeGroups.GROUPS.size()];
+        final @NotNull String @NotNull [] descs = new String[WorldTypeGroups.GROUPS.size()];
         for (int i = 0; i < keys.length; i++) {
             keys[i] = i18n.translateKey(WorldTypeGroups.GROUPS.get(i).get(Dimension.OVERWORLD).getLanguageKey() + ".name");
             descs[i] = i18n.translateKey(WorldTypeGroups.GROUPS.get(i).get(Dimension.OVERWORLD).getLanguageKey() + ".desc") + "\n" +
-                    TextFormatting.GRAY + Registries.WORLD_TYPES.getKey(WorldTypeGroups.GROUPS.get(i).get(Dimension.OVERWORLD));
+                TextFormatting.GRAY + Registries.WORLD_TYPES.getKey(WorldTypeGroups.GROUPS.get(i).get(Dimension.OVERWORLD));
         }
 
-        PopupScreen popup = new PopupBuilder(mc.currentScreen, 150)
-                .closeOnEsc(0)
-                .closeOnClickOut(0)
-                .withLabel("gui.world_settings.label.select_world_type")
-                .withList("worldTypeList", 140, keys, descs, WorldTypeGroups.GROUPS.indexOf(this.worldConfiguration.getWorldTypeGroup()), true)
-                .withOnCloseListener((statusCode, results) -> {
-                    if (statusCode == 1) {
-                        this.worldConfiguration.setWorldTypeGroup(WorldTypeGroups.GROUPS.get((Integer) results.get("worldTypeList")));
-                        this.button.displayString = I18n.getInstance().translateKey(this.worldConfiguration.getWorldTypeGroup().get(Dimension.OVERWORLD).getLanguageKey() + ".name");
-                    }
-                })
-                .build();
+        final PopupScreen popup = new PopupBuilder(Objects.requireNonNull(mc.currentScreen), 150)
+            .closeOnEsc(0)
+            .closeOnClickOut(0)
+            .withLabel("gui.world_settings.label.select_world_type")
+            .withList("worldTypeList", 140, keys, descs, WorldTypeGroups.GROUPS.indexOf(Objects.requireNonNull(this.worldConfiguration).getWorldTypeGroup()), true)
+            .withOnCloseListener((statusCode, results) -> {
+                if (statusCode == 1) {
+                    this.worldConfiguration.setWorldTypeGroup(Objects.requireNonNull(WorldTypeGroups.GROUPS.get((Integer) results.get("worldTypeList"))));
+                    this.button.displayString = I18n.getInstance().translateKey(this.worldConfiguration.getWorldTypeGroup().get(Dimension.OVERWORLD).getLanguageKey() + ".name");
+                }
+            })
+            .build();
         mc.displayScreen(popup);
     }
 
     @Override
-    protected void renderButton(int x, int y, int relativeButtonX, int relativeButtonY, int buttonWidth, int buttonHeight, int relativeMouseX, int relativeMouseY) {
+    protected void renderButton(final int x, final int y, final int relativeButtonX, final int relativeButtonY, final int buttonWidth, final int buttonHeight, final int relativeMouseX, final int relativeMouseY) {
         super.renderButton(x, y, relativeButtonX, relativeButtonY, buttonWidth, buttonHeight, relativeMouseX, relativeMouseY);
 
         this.button.xPosition = x + relativeButtonX;
@@ -79,7 +79,7 @@ public class WorldTypeButtonComponent
 
         this.button.drawButton(mc, x + relativeMouseX, y + relativeMouseY);
 
-        if (relativeMouseX >= relativeButtonX && relativeMouseX < relativeButtonX + buttonWidth && relativeMouseY >= relativeButtonY && relativeButtonY < relativeButtonY + buttonHeight) {
+        if (mc.currentScreen != null && relativeMouseX >= relativeButtonX && relativeMouseX < relativeButtonX + buttonWidth && relativeMouseY >= relativeButtonY && relativeButtonY < relativeButtonY + buttonHeight) {
             mc.currentScreen.setDesiredCursor(CursorShape.HAND);
         }
     }
diff --git a/game/client/src/main/java/net/minecraft/client/input/controller/ControllerInput.java b/game/client/src/main/java/net/minecraft/client/input/controller/ControllerInput.java
index 02a035d99..85a4a8930 100644
--- a/game/client/src/main/java/net/minecraft/client/input/controller/ControllerInput.java
+++ b/game/client/src/main/java/net/minecraft/client/input/controller/ControllerInput.java
@@ -6,6 +6,7 @@ import net.minecraft.client.gui.container.ScreenContainerAbstract;
 import net.minecraft.client.input.glfw.GlfwGamepad;
 import net.minecraft.core.player.inventory.slot.Slot;
 import net.minecraft.core.util.helper.Time;
+import org.jetbrains.annotations.NotNull;
 import org.lwjgl.glfw.GLFW;
 
 public class ControllerInput {
@@ -17,24 +18,24 @@ public class ControllerInput {
     public Joystick joyLeft;
     public Joystick joyRight;
 
-    public Button buttonA;
-    public Button buttonB;
-    public Button buttonX;
-    public Button buttonY;
+    public @NotNull Button buttonA;
+    public @NotNull Button buttonB;
+    public @NotNull Button buttonX;
+    public @NotNull Button buttonY;
 
-    public Button buttonLeftTrigger;
-    public Button buttonRightTrigger;
+    public @NotNull Button buttonLeftTrigger;
+    public @NotNull Button buttonRightTrigger;
 
-    public Button buttonBack;
-    public Button buttonStart;
+    public @NotNull Button buttonBack;
+    public @NotNull Button buttonStart;
 
-    public Button buttonLeftShoulder;
-    public Button buttonRightShoulder;
+    public @NotNull Button buttonLeftShoulder;
+    public @NotNull Button buttonRightShoulder;
 
-    public DigitalPad digitalPad;
+    public @NotNull DigitalPad digitalPad;
 
-    public Button[] buttons;
-    public Joystick[] joysticks;
+    public @NotNull Button @NotNull [] buttons;
+    public @NotNull Joystick @NotNull [] joysticks;
 
     public boolean hideCursor = false;
     public boolean lockCursor = false;
@@ -53,18 +54,6 @@ public class ControllerInput {
 
         this.type = ControllerType.fromController(controller);
 
-        setup();
-    }
-
-    public String getGUID() {
-        return controller.getGuid();
-    }
-
-    public ControllerType getType() {
-        return type;
-    }
-
-    public void setup() {
         IButtonListener defaultButtonListener = controller::isButtonPressed;
         IJoystickListener defaultJoystickListener = controller::getAxisValue;
 
@@ -115,6 +104,14 @@ public class ControllerInput {
         joysticks = ReflectUtils.getAllObjects(ControllerInput.class, Joystick.class, this);
     }
 
+    public String getGUID() {
+        return controller.getGuid();
+    }
+
+    public ControllerType getType() {
+        return type;
+    }
+
     public void moveCursor() {
         if (lockCursor) return;
         double speed = 300 * Time.delta * (minecraft.gameSettings.controllerMenuSensitivity.value + 0.5f);
diff --git a/game/client/src/main/java/net/minecraft/client/option/GameSettings.java b/game/client/src/main/java/net/minecraft/client/option/GameSettings.java
index 9d8490f35..5cb6b3174 100644
--- a/game/client/src/main/java/net/minecraft/client/option/GameSettings.java
+++ b/game/client/src/main/java/net/minecraft/client/option/GameSettings.java
@@ -1,5 +1,6 @@
 package net.minecraft.client.option;
 
+import static net.minecraft.core.util.Util.emptyStringIfNull;
 import static org.lwjgl.input.Keyboard.*;
 
 import java.io.BufferedReader;
@@ -33,6 +34,7 @@ import net.minecraft.core.sound.SoundCategory;
 import net.minecraft.core.util.helper.Color;
 import net.minecraft.core.util.helper.ITranslatable;
 
+import org.jetbrains.annotations.NotNull;
 import org.slf4j.Logger;
 
 public class GameSettings {
